// 长笛 flute 
// 单簧管 clarinet
// 萨克斯管 saxophone
// 小号 trumpet
// 长号 trombone
// 圆号 horn
// 上低音号 upperBass
// 次中音号 tenorHorn
// 小军鼓 snareDrum
// 打击乐 idiophonic
// 大号 tuba

let instruments = {
    flute: {
        name: '长笛',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 4500,
                referencePrice: 3570,
                checked: true,
                texture: 'C调、法式键、曲列、白铜按键、镍白铜管体、E键、槽型弹簧钩，进口轴棍，后调整螺丝，吹口片及垫子底座银焊',
                index: 2
            },
            {
                default: 0, // 1 为默认配置
                name: '初级配置',
                marketPrice: 3150,
                referencePrice: 2680,
                checked: false,
                texture: 'C调、曲列、E键、白铜按键、吹口片及垫子底座银焊，表面镀银',
                index: 1
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99  // 99为自备
            }
        ],
        configuration: '',
        auxiliaries: [
            {
                name: '节拍器',
                marketPrice: 120,
                referencePrice: 95,
                checked: true,
                index: 1
            },
            {
                name: '谱架',
                marketPrice: 80,
                referencePrice: 65,
                checked: true,
                index: 2
            },
            {
                name: '乐器维护',
                marketPrice: 480,
                referencePrice: 300,
                checked: true,
                index: 8
            }
        ]
    },
    clarinet: {
        name: '单簧管',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 4580,
                referencePrice: 3650,
                checked: true,
                texture: '降B调、17键、ABS树脂管身、白铜按键、铍铜铸造按键,蓝钢针弹簧线、八字螺丝固定',
                index: 4
            },
            {
                default: 0, // 1 为默认配置
                name: '初级配置',
                marketPrice: 3280,
                referencePrice: 2780,
                checked: false,
                texture: '降B调、17键、硬质胶木管体、白铜按键、',
                index: 3
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 4,
                name: '软木膏',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 5,
                name: '哨片',
                marketPrice: 150,
                checked: true,
                referencePrice: 120
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    saxophone: {
        name: '萨克斯管',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 6080,
                referencePrice: 4500,
                checked: true,
                texture: '降E调、蓝钢针弹簧线、K6笛头、进口皮垫、特制泛音键设计，白铜束紧环',
                index: 6
            },
            {
                default: 0, // 1 为默认配置
                name: '初级配置',
                marketPrice: 4200,
                referencePrice: 3550,
                checked: false,
                texture: '降E调、蓝钢针弹簧线、K4笛头',
                index: 5
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 4,
                name: '软木膏',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 5,
                name: '哨片',
                marketPrice: 150,
                checked: true,
                referencePrice: 120
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    trumpet: {
        name: '小号',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 4800,
                referencePrice: 3650,
                checked: true,
                texture: '降B调、黄铜喇叭口、白铜变音管，可调试调音管控制环、磷铜吹口管、六角吹嘴箍，喇叭口直径125mm、内管11.65mm',
                index: 7
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 3,
                name: '活塞油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 7,
                name: '调音管油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    trombone: {
        name: '长号',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 5550,
                referencePrice: 3870,
                checked: true,
                texture: '降B调、白铜拉管，表面处理漆金，喇叭口直径215.3mm、内管13.9mm',
                index: 8
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 3,
                name: '活塞油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 6,
                name: '拉杆油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 7,
                name: '调音管油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    horn: {
        name: '圆号',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 5500,
                referencePrice: 3910,
                checked: true,
                texture: 'F调/降B、双排按键、磷铜吹口管，表面处理漆金，喇叭口直径305mm、内管11.5mm',
                index: 9
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 3,
                name: '活塞油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 7,
                name: '调音管油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    upperBass: {
        name: '上低音号',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 5800,
                referencePrice: 3980,
                checked: true,
                texture: '降B调、管径14.5mm、喇叭口直径278.6、表面漆金、黄铜管体白铜变音管',
                index: 10
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 3,
                name: '活塞油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 7,
                name: '调音管油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    snareDrum: {
        name: '小军鼓',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 3700,
                referencePrice: 3190,
                checked: true,
                texture: '桦木鼓腔，高碳钢纱带，配军鼓架',
                index: 11
            },
            {
                default: 0, // 1 为默认配置
                name: '初级配置',
                marketPrice: 1980,
                referencePrice: 1690,
                checked: false,
                texture: '小军鼓一套（含止音垫）',
                index: 14
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            }
        ]
    },
    tenorHorn: {
        name: '次中音号',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 5800,
                referencePrice: 3980,
                checked: true,
                texture: '降B调、管径14.5mm、喇叭口直径278.6、表面漆金、黄铜管体白铜变音管',
                index: 12
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 3,
                name: '活塞油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 7,
                name: '调音管油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    idiophonic: {
        name: '打击乐',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 3700,
                referencePrice: 3190,
                checked: true,
                texture: '桦木鼓腔，高碳钢纱带，配军鼓架',
                index: 13
            },
            {
                default: 0, // 1 为默认配置
                name: '初级配置',
                marketPrice: 1980,
                referencePrice: 1690,
                checked: false,
                texture: '小军鼓一套（含止音垫）',
                index: 17
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '桦木鼓腔，高碳钢纱带，配军鼓架',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            }
        ]
    },
    tuba: {
        name: '大号',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 30200,
                referencePrice: 26800,
                checked: true,
                texture: '降B调  管径：16.8mm 口径：366mm 表面处理：漆金',
                index: 15
            },
            {
                default: 0, // 1 为默认配置
                name: '初级配置',
                marketPrice: 13000,
                referencePrice: 11500,
                checked: false,
                texture: '降B调 材质：黄铜 表面处理：漆金  号口直径：375mm  内管直径：18mm  全高：991mm',
                index: 16
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '降B调 ',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 3,
                name: '活塞油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 7,
                name: '调音管油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    }
}

let baseInfo = {
    other: [
        {
            name: '教材',
            marketPrice: 7680,
            referencePrice: 0
        },
        {
            name: '乐谱',
            marketPrice: 7680,
            referencePrice: 0
        }
    ]
}

export { instruments,  baseInfo}